petsc-3.7.1 2016-05-15
Report Typos and Errors

# MatMFFDRegister

Adds a method to the MatMFFD registry.

### Synopsis

    #include "petscmat.h"
    PetscErrorCode  MatMFFDRegister(const char sname[],PetscErrorCode (*function)(MatMFFD))

Not Collective Many br

### Input Parameters

| name_solver | - name of a new user-defined compute-h module Many br
| routine_create | - routine to create method context Many br

Many br

### Notes

MatMFFDRegister() may be called multiple times to add several user-defined solvers. Many br

### Sample usage

       MatMFFDRegister("my_h",MyHCreate);

Many br

Then, your solver can be chosen with the procedural interface via Many br

        MatMFFDSetType(mfctx,"my_h")

or at runtime via the option Many br

        -mat_mffd_type my_h

### Keywords

MatMFFD, register

### See Also

MatMFFDRegisterAll(), MatMFFDRegisterDestroy()

Level:developer
Location:src/mat/impls/mffd/mffd.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages